Help with porting FreeCAD

Andrea Venturoli ml at netfence.it
Tue Jan 6 22:55:16 UTC 2015


On 01/06/15 23:41, Chris H wrote:
> On Tue, 06 Jan 2015 23:12:48 +0100 Andrea Venturoli <ml at netfence.it> wrote
>
>> Hello.
>>
>> A while ago I dirty-ported FreeCAD 0.14 and more or less got it working.
>> Now it won't work anymore due to incompatible changes in OpenCASCADE
>> (which is a dependency); so I'm trying 0.15 (which is still a beta).
>>
>> The box I'm using runs 9.3 and I'm facing a problem I'm too
>> inexperienced about the port system to solve:
>>
>> _ g++ 4.9 seems to be needed (previous versions having an unsolved bug),
>> so I put "USE_GCC=4.9";
>> _ however, fortran is required and "USES=fortran:gcc" picks up gfortran48;
>> _ so in the link stage "-L/usr/local/lib/gcc48" comes before
>> "-L/usr/local/lib/gcc49" and I get unresolved symbols.
>>
>> Is there a way I can tell the port system to pick gfortran49 instead of
>> gfortran48 and forget about "-L/usr/local/lib/gcc48"?
>> Of course I could try uninstalling gcc-4.8.4, but this is unfortunately
>> a run dependency of several other ports.
> I think what you're looking for here is
> BUILD_DEPENDS=
> and
> RUN_DEPENDS=

Thanks, but, sorry, I don't quite get your suggestion.
What should I put into those variables?
How would that solve the above problem?

  bye & Thanks
	av.


More information about the freebsd-ports mailing list